/*-
 * ============LICENSE_START=======================================================
 * OSAM Core
 * ================================================================================
 * Copyright (C) 2018 Netsia
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */



package org.onap.osam.api.service;

import org.onap.osam.model.dao.Service;
import org.onap.osam.model.dao.SpeedProfile;
import org.onap.osam.model.dao.TechnologyProfile;

import java.util.List;

/**
 * Created by cemturker on 18.09.2018.
 */
public interface BroadBandService {
    /**
     *
     * @param speedProfile
     */
    SpeedProfile addSpeedProfile(SpeedProfile speedProfile);

    /**
     *
     * @param technologyProfile
     */
    TechnologyProfile addTechnologyProfile(TechnologyProfile technologyProfile);

    /**
     *
     * @param service
     */
    Service addService(Service service);

    /**
     *
     * @param id
     */
    void removeSpeedProfile(Long id);

    /**
     *
     * @param id
     */
    void removeTechnologyProfile(Long id);

    /**
     *
     * @param id
     */
    void removeService(Long id);

    /**
     *
     * @param id
     * @return
     */
    SpeedProfile getSpeedProfile(Long id);

    /**
     *
     * @param id
     * @return
     */
    TechnologyProfile getTechnologyProfile(Long id);

    /**
     *
     * @param id
     * @return
     */
    Service getService(Long id);

    /**
     *
     * @return
     */
    List<SpeedProfile> getSpeedProfiles();

    /**
     *
     * @return
     */
    List<TechnologyProfile> getTechnologyProfiles();

    /**
     *
     * @return
     */
    List<Service> getServices();

}

